Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.pipeline
Class SAXONXSLTTransformation

    java.lang.Object
      org.apache.avalon.framework.logger.AbstractLogEnabled
          org.apache.cocoon.xml.AbstractXMLProducer
              org.apache.cocoon.xml.AbstractXMLPipe
                  fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
                      fr.gouv.culture.sdx.pipeline.AbstractTransformation
                          fr.gouv.culture.sdx.pipeline.AbstractXSLTTransformation
                              fr.gouv.culture.sdx.pipeline.SAXONXSLTTransformation

All Implemented Interfaces:
  Transformation, Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.excalibur.pool.Poolable, org.apache.avalon.excalibur.pool.Recyclable, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLPipe, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class SAXONXSLTTransformation

extends AbstractXSLTTransformation

A transformation using an XSLTProcessorImpl from Cocoon Basically a wrapper to provide a certain configuration option (stylesheet specification) and forwards events to a consumer after the transformation has been executed. This class uses the Saxon processor through the role "org.apache.excalibur.xml.xslt.XSLTProcessor/saxon". The component MUST be declared in the cocoon.xconf file.

Nested Class Summary

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary

Fields inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`_resolver, PARAMETER_NAME_DISABLE, PARAMETER_NAME_ENABLE, parameters, transParameters`

Fields inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`contentHandler, EMPTY_CONTENT_HANDLER, lexicalHandler, xmlConsumer`

Fields inherited from interface fr.gouv.culture.sdx.pipeline.Transformation
`ATTRIBUTE_KEEP, ATTRIBUTE_SRC, ATTRIBUTE_TH, CLASS_NAME_SUFFIX, PACKAGE_QUALNAME`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`SAXONXSLTTransformation()` Creates the transformation If logging is desired the super.getLog() should be set after creation.

Method Summary
`java.lang.String` | `getTransformerFactory()` Returns the XSLT processor factory to use.

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractXSLTTransformation
`configure, initToSax, setConsumer, startDocument`

Methods inherited from class fr.gouv.culture.sdx.pipeline.AbstractTransformation
`getClassNameSuffix, getParameters, initVolatileObjectsToSax, isStepEnabled, recycle, service, setParameters, shouldKeepResult, verifyConfigurationParameters`

Methods inherited from class fr.gouv.culture.sdx.utils.xml.AbstractSdxXMLPipe
`configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, setXmlLang, toSAX, verifyConfigurationResources`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLPipe
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class org.apache.cocoon.xml.AbstractXMLProducer
`setContentHandler, setLexicalHandler`

Methods inherited from class org.apache.avalon.framework.logger.AbstractLogEnabled
`getLogger, setupLogger, setupLogger, setupLogger`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endElement, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startElement, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId, setId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale, setXmlLang`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Constructor Detail

### SAXONXSLTTransformation

    public SAXONXSLTTransformation()

  Creates the transformation If logging is desired the super.getLog() should be set after creation. This transformation should be composed, properties set, and then configured.

  See Also:
    `AbstractSdxXMLPipe.enableLogging(org.apache.avalon.framework.logger.Logger)`, `AbstractTransformation.service(org.apache.avalon.framework.service.ServiceManager)`, `AbstractSdxXMLPipe.contextualize(org.apache.avalon.framework.context.Context)`, `AbstractXSLTTransformation.configure(org.apache.avalon.framework.configuration.Configuration)`

Method Detail

### getTransformerFactory

    public java.lang.String getTransformerFactory()

  Returns the XSLT processor factory to use. We return the explicit factory class name for Saxon (8).

  Specified by:
    `getTransformerFactory` in class `AbstractXSLTTransformation`
  Returns:
    The factory class name or null to use the first one in the classpath

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.